body {  
    background-color: #8B0000; /* لون الخلفية أحمر غامق */  
    display: flex;  
    flex-direction: column;  
    align-items: center;  
    justify-content: center;  
    height: 100vh;  
    margin: 0;  
    color: white;  
    font-family: 'Alexandria', sans-serif;  
}  

.header {  
    text-align: center;  
    margin-bottom: 20px;  
    background-color: transparent; /* اجعل الخلفية شفافة */  
}  

.logo img {  
    width: 150px; /* يمكن تغيير الحجم حسب الحاجة */  
    height: auto; /* يحافظ على نسبة الأبعاد */  
}  

.section {  
    display: flex;  
    flex-wrap: wrap; /* للسماح بتوزيع الأيقونات على عدة أسطر */  
    justify-content: center; /* لضمان توسيط الأيقونات */  
    width: 100%;  
    max-width: 800px; /* زيادة عرض القسم لاستيعاب الأيقونات */  
    margin-bottom: 20px; /* إضافة هامش أسفل القسم */  
}  

.section div {  
    text-align: center;  
    position: relative;  
    margin: 10px; /* إضافة هامش حول الأيقونات */  
    flex: 1 1 30%; /* لضمان وجود ثلاث أيقونات في كل صف */  
    max-width: 30%; /* لضمان وجود ثلاث أيقونات في كل صف */  
}  

.section a {  
    text-decoration: none; /* إزالة الخط */  
    color: white; /* لون النص */  
    display: block;  
    padding: 10px;  
    transition: background-color 0.3s, color 0.3s;  
}  

/* لون الأيقونات إلى الأبيض وتصغير الحجم */  
.section img {  
    width: 80px; /* حجم الأيقونات */  
    height: 80px; /* حجم الأيقونات */  
    filter: brightness(0) invert(1); /* تغيير لون الأيقونات إلى الأبيض */  
    transition: background-color 0.3s, filter 0.3s; /* إضافة تأثير على التصفية */  
}  

.section a:hover {  
    background-color: white; /* خلفية بيضاء عند مرور الماوس */  
    color: #8B0000; /* لون النص أحمر غامق عند مرور الماوس */  
}  

.section a:hover img {  
    filter: brightness(0) invert(0); /* تغيير لون الأيقونات إلى الأسود عند التمرير */  
}  

.footer {  
    text-align: center;  
    margin-top: auto; /* لضمان وجود الفوتر في أسفل الصفحة */  
    padding: 10px; /* إضافة padding للفوتر */  
    background-color: rgba(0, 0, 0, 0.5); /* لون خلفية خفيف للفوتر */  
    color: white; /* لون النص في الفوتر */  
    width: 100%; /* جعل الفوتر يأخذ عرض الشاشة */  
    position: relative; /* إعداد موقع نسبي */  
}